'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = resetMiddleware;
function resetMiddleware(type) {
  return function (next) {
    return function (reducer, initialState) {
      var resetType = type || 'RESET';
      var enhanceReducer = function enhanceReducer(state, action) {
        if (action.type === resetType) {
          state = undefined;
        }
        return reducer(state, action);
      };

      return next(enhanceReducer, initialState);
    };
  };
}